[Overview][Classes][Procedures and functions][Index] | Reference for unit '_crw_tslist' (#crwlib)

# TSafeStringList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_tslist.pas line 70

`type TSafeStringList = class(TLatch)`
`public`
`constructor Create;`
`destructor Destroy; override;`
`function RawList;`
`property Count: Integer; [r]`
`property Text: LongString; [rw]`
`property Names []: LongString; [r]`
`property Values []: LongString; [rw]`
`property Strings []: LongString; default; [rw]`
`property Objects []: TObject; [rw]`
`function IndexOf();`
`function IndexOfName();`
`function IndexOfObject();`
`function Add();`
`function AddText();`
`function AddObject();`
`function AddPair();`
`function Insert();`
`function InsertObject();`
`function Delete();`
`procedure Clear;`
`function Remove();`
`procedure Sort();`
`end;`

## Inheritance

`TSafeStringList`
`TLatch`
`TMasterObject`
`TObject`